Subject: BAR

From: [email-masked]
Date: Tue, 19 Mar 1996 16:37:30 -0500

In a recent issue of Biblical Archaeology Review a two volume set of books
which contain photographs of "all" the DSS manuscripts is advertised
(published by BAR).  Has anyone in the forum had occasion to view these
books?  If so, is the quality worthwhile?  The two volumes originally sold
for $195 but are now available for something like $40.

Thanks,

(I hope this has at least some relationship to TC- so that I am not booted
out for asking improper questions :) ).

Jim West